Package org.stianloader.picoresolve.exclusion

# Enum Class ExclusionContainer.ExclusionMode

java.lang.Object
java.lang.Enum<ExclusionContainer.ExclusionMode>
org.stianloader.picoresolve.exclusion.ExclusionContainer.ExclusionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ExclusionContainer.ExclusionMode>`, `Constable`

Enclosing class:
  ExclusionContainer<T extends Excluder>

public static enum ExclusionContainer.ExclusionMode extends Enum<ExclusionContainer.ExclusionMode>
The `ExclusionContainer.ExclusionMode` of a `ExclusionContainer` defines the behaviour to use for negotiating the behaviour of multiple subordinate `Excluders`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
Only exclude the dependency is all subordinate `Excluders` exclude the dependency.
`ANY`
Exclude the dependency if at least one subordinate `Excluder` excludes the dependency.

## Method Summary

Modifier and Type
Method
Description
`static ExclusionContainer.ExclusionMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExclusionContainer.ExclusionMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

public static final ExclusionContainer.ExclusionMode ALL
Only exclude the dependency is all subordinate `Excluders` exclude the dependency. However, there is an exception in case that there are no subordinate `Excluders` at which point the dependency is not excluded even though theoretically all of no `Excluders` matched. However, such overwhelmingly strict behaviour is nonsensical which is why this exception was instated.

### ANY

public static final ExclusionContainer.ExclusionMode ANY
Exclude the dependency if at least one subordinate `Excluder` excludes the dependency.

## Method Details

### values

public static ExclusionContainer.ExclusionMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExclusionContainer.ExclusionMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null